#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The new screenshot capture utility, replaces KSnapshot
Name:           spectacle
Version: 23.04.1
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5QuickControls2)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5Wayland)

BuildRequires: pkgconfig(kscreen2) >= 5.2.0
BuildRequires: cmake(kImageAnnotator)

BuildRequires: cmake(KF5Kipi)
BuildRequires: cmake(KF5Declarative)
BuildRequires: cmake(KF5Purpose)
BuildRequires: cmake(KF5Kirigami2)
BuildRequires: cmake(PlasmaWaylandProtocols)
BuildRequires: cmake(KPipeWire)

BuildRequires: pkgconfig(xcb-cursor)

Provides:      ksnapshot = %version-%release

Provides:      ksnapshot-handbook = %version-%release

Requires:      khotkeys
Requires:      kirigami2


%description
The new screenshot capture utility, replaces KSnapshot.

%files -f %name.lang
%doc %_kf5_docdir/HTML/*/spectacle
%_kf5_categoriesdir/spectacle.*categories
%_kf5_bindir/spectacle
%_kf5_libdir/kconf_update_bin/spectacle-migrate-shortcuts
%_kf5_applicationsdir/org.kde.spectacle.desktop
%_kf5_datadir/dbus-1/interfaces/org.kde.Spectacle.xml
%_kf5_datadir/dbus-1/services/org.kde.Spectacle.service
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/spectacle.notifyrc
%_kf5_metainfodir/org.kde.spectacle.appdata.xml
%_kf5_datadir/kglobalaccel/org.kde.spectacle.desktop
%_kf5_datadir/kconf_update/spectacle_shortcuts.upd
%_kf5_datadir/kconf_update/spectacle_newConfig.upd
%_kf5_libdir/kconf_update_bin/spectacle-migrate-rememberregion
%_kf5_datadir/kconf_update/50-clipboard_settings_change.py
%_kf5_datadir/kconf_update/spectacle_clipboard.upd
%_kf5_datadir/kconf_update/spectacle_rememberregion.upd
%_userunitdir/app-org.kde.spectacle.service
%_kf5_mandir/man1/spectacle.1.*

#--------------------------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name --with-man


%changelog
* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958466
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946610
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941903
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923025
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911519
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905370
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886890
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880872
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873185
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854075
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849582
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763967
- New version 21.12.0

* Wed Dec 01 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1760285
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724178
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718602
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698667
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694193
- New version 20.12.2

* Sat Feb 27 2021 neoclust <neoclust> 20.12.0-4.mga9
+ Revision: 1692887
- Rebuild against new imagemagick

* Sat Feb 27 2021 daviddavid <daviddavid> 20.12.0-3.mga9
+ Revision: 1692672
- rebuild for new kImageAnnotator 0.4.1

* Tue Feb 16 2021 daviddavid <daviddavid> 20.12.0-2.mga8
+ Revision: 1675481
- enable kImageAnnotator support

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656086
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644098
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633917
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627156
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615027
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604221
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596958
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584871
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568597
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559425
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1539944
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513400
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467058
- New version 19.12.0
- New version 19.11.90

* Fri Nov 15 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1460147
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446801
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425091
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390546
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387764
- New version 19.03.90

* Tue Apr 02 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1384879
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375775
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365669
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356606
- New version 18.12.1

* Wed Dec 19 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1342950
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332841
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332277
- enable KDEExperimentalPurpose support

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327494
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301131
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240172
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201991
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195013
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186555
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143150
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136953
- New version 17.07.90
- Add conflicts to ease upgrade

* Sun Jul 23 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1129612
- New version 17.04.3

* Thu Mar 09 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090554
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076919
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072109
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067426
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061490
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050753
- New version 16.08.1

* Thu Aug 25 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048703
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040156
- New version 16.04.3
- New version 16.04.2
+ akien <akien>
- Fix Source0 URL

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1013572
- New version 16.04.1

* Wed Apr 27 2016 daviddavid <daviddavid> 16.04.0-2.mga6
+ Revision: 1006896
- backport upstream fixes

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004434
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996386
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991269
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987549
- New version 15.12.2

* Fri Mar 04 2016 neoclust <neoclust> 15.12.1-4.mga6
+ Revision: 985534
- Rebuild against new kscreen

* Sun Jan 17 2016 neoclust <neoclust> 15.12.1-3.mga6
+ Revision: 925116
- Require khotkeys

* Sun Jan 17 2016 neoclust <neoclust> 15.12.1-2.mga6
+ Revision: 925076
- Fix BuildRequires ( mga #17464)

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922711
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 912126
- New version 15.12.0
  Fix ksnapshot obsoletes

* Wed Dec 09 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 909148
- Obsoletes old ksnspshot
- imported package spectacle

